%token <int> INT
%token EOL PLUS LPAREN RPAREN
%start main             /* the entry point */
%type <int> main
%%
main:
| expr EOL              { $1 }
expr:
| INT                   { $1 }
| term                  { $1 }
| term PLUS expr        { $1 + $3 }
term :
| INT                   { $1 }
| LPAREN expr RPAREN    { $2 }
