%token <int> INT
%token EOL PLUS LPAREN RPAREN
%start main             /* the entry point */
%type <int> main
%%
main:
| expr EOL                  { $1 }
expr:
| term                  { $1 }
| expr PLUS term        { $1 + $3 }
term:
| INT                   { $1 }
| LPAREN expr RPAREN    { $2 }
| LPAREN error RPAREN   { Printf.printf "Syntax error!\n"; 0 }
