%token <int> INT
%token EOL PLUS LPAREN RPAREN
%start main             /* the entry point */
%type <int> main
%%
main:
| expr EOL              { $1 }
expr:
| term1                 { $1 }
| term1 PLUS PLUS expr  { $1 + $4 }
| term2 PLUS expr       { $1 + $3 }
term1 :
| INT                   { $1 }
| LPAREN expr RPAREN    { $2 }
term2 :
| INT                   { $1 }
